summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMartin Väth <martin@mvath.de>2016-01-03 11:45:14 +0100
committerMartin Väth <martin@mvath.de>2016-01-03 11:45:14 +0100
commit126b94a63ea6a4f41878993a5d727b50daeacee3 (patch)
treeda0ef8ef08897c37ed6275dde00bac91623a9437 /net-dns/noip-updater/noip-updater-2.1.9-r2.ebuild
parentapp-shells/zsh: Make repoman happy (diff)
downloadmv-126b94a63ea6a4f41878993a5d727b50daeacee3.tar.gz
mv-126b94a63ea6a4f41878993a5d727b50daeacee3.tar.bz2
mv-126b94a63ea6a4f41878993a5d727b50daeacee3.zip
net-dns/noip-updater: Copy from gentoo repository to save from removal.
Bump to EAPI=6. Support optionally user ez-ipupd instead of nobody. Fix initscript: runscript->openrc-run, avoid bashism.
Diffstat (limited to 'net-dns/noip-updater/noip-updater-2.1.9-r2.ebuild')
-rw-r--r--net-dns/noip-updater/noip-updater-2.1.9-r2.ebuild76
1 files changed, 76 insertions, 0 deletions
diff --git a/net-dns/noip-updater/noip-updater-2.1.9-r2.ebuild b/net-dns/noip-updater/noip-updater-2.1.9-r2.ebuild
new file mode 100644
index 00000000..ea3fe35e
--- /dev/null
+++ b/net-dns/noip-updater/noip-updater-2.1.9-r2.ebuild
@@ -0,0 +1,76 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+inherit eutils readme.gentoo-r1 systemd toolchain-funcs user
+
+MY_P=${P/-updater/}
+DESCRIPTION="no-ip.com dynamic DNS updater"
+HOMEPAGE="http://www.no-ip.com"
+SRC_URI="http://www.no-ip.com/client/linux/${MY_P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="alpha amd64 ~arm ~hppa ia64 ~mips ~ppc ppc64 sparc x86"
+IUSE="ezipupd"
+
+RDEPEND=""
+DEPEND="sys-devel/gcc"
+
+S=${WORKDIR}/${MY_P}
+
+DOC_CONTENTS="
+ Configuration can be done manually via /usr/sbin/noip2 -C or
+ by using this ebuild's config option.
+"
+
+src_prepare() {
+ eapply "${FILESDIR}"/noip-2.1.9-flags.patch
+ eapply "${FILESDIR}"/noip-2.1.9-daemon.patch
+ local sedarg
+ sedarg=(
+ -e "s:\(#define CONFIG_FILEPATH\).*:\1 \"/etc\":"
+ -e "s:\(#define CONFIG_FILENAME\).*:\1 \"/etc/no-ip2.conf\":"
+ )
+ ! use ezipupd || sedarg+=(
+ -e "s:\"nobodoy\":\"ez-ipupd\":g"
+ )
+ sed -i "${sedarg[@]}" noip2.c || die "sed failed"
+ eapply_user
+}
+
+src_compile() {
+ emake \
+ CC=$(tc-getCC) \
+ PREFIX=/usr \
+ CONFDIR=/etc
+}
+
+src_install() {
+ dosbin noip2
+ dodoc README.FIRST
+ newinitd "${FILESDIR}"/noip2.start noip
+ systemd_dounit "${FILESDIR}"/noip.service
+ readme.gentoo_create_doc
+}
+
+pkg_preinst() {
+ use ezipupd && ! use prefix || return 0
+ enewgroup ez-ipupd
+ enewuser ez-ipupd -1 -1 /var/cache/ez-ipupdate ez-ipupd
+ if test -d /var/cache/ez-ipupdate
+ then chmod 750 /var/cache/ez-ipupdate
+ chown ez-ipupd:ez-ipupd /var/cache/ez-ipupdate
+ fi
+}
+
+pkg_postinst() {
+ readme.gentoo_print_elog
+}
+
+pkg_config() {
+ cd /tmp
+ einfo "Answer the following questions."
+ noip2 -C || die
+}